- stat:
    path: "/etc/nginx/sites-available/{{ item.name }}.onion.conf"
  register: conf_exists

- name: webserver-onion-hostname
  command: "cat /var/lib/tor/{{ item.name }}/hostname"
  register: web_onion
  when: not conf_exists.stat.exists

- name: webserver-onion-config
  template:
    src: ../files/onion.conf.j2
    dest: "/etc/nginx/sites-available/{{ item.name }}.onion.conf"
  notify: webserver-reload-nginx
  when: not conf_exists.stat.exists

- name: webserver-onion-symlink
  file:
    src: "/etc/nginx/sites-available/{{ item.name }}.onion.conf"
    dest: "/etc/nginx/sites-enabled/{{ item.name }}.onion.conf"
    state: link
  when: not conf_exists.stat.exists
